V1.0

get

/ec-datahub-svc/rest/v1.0/tenant/{tenantId}/studies/{studyId}/{mode}/metrics

Retrieves the study-permissioned Metrics dataset for a single study and mode.

The dataset exposes study-level metadata and operational consistency metrics that compare source Clinical One row counts and maximum version timestamps with the Data Hub analytics model.

This endpoint returns the complete Metrics dataset row and does not accept select, filter, sort, limit, or offset query patterns.

The dataset can be used to verify the latest data refresh time and whether supported study data is currently consistent between Clinical One Cloud Service and Oracle Clinical One Analytics.

Required permission: The caller must have access to at least one of the following Data Hub dataset permissions for the study: BlindedKitsDatasetPost, BlindedSubjectEventDatasetPost, DataCollectionDesignDatasetPost, DMActionsPost, KitsAndRandomizationDatasetPost, StudyAnalyticsCodelistDatasetPost, StudyQueryDatasetPost, SubjectDatasetPost, SubjectFormDatasetPost, SubjectFormItemsDatasetPost, TenantCodelistDatasetPost, UnblindedKitsDatasetPost, or UnblindedSubjectEventDatasetPost.

Request

Path Parameters
  • Execution mode for the study.

    Allowed values: test, active, training.

    Example: test.

  • Unique study identifier supplied in the studyId path parameter.

    Use the uppercase hexadecimal UUID value for the study.

    Example: 0C7CBA3F70034C47947E2FAB086BFBF5.

  • Unique tenant identifier supplied in the tenantId path parameter.

    Use the uppercase hexadecimal UUID value for the tenant.

    Example: EC942244BB30163BE053BEC44C64CF34.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Response behavior

  • The response is tabular. columns defines the output order, and data contains the single Metrics dataset row values in that same order.
  • Every value in data is returned as a JSON string or null, including logical numbers and date/time values.
  • Column selection and pagination are not supported for this dataset.
  • If no metrics row is available for the requested study and mode, the API returns HTTP 200 with data = [].

Section index

Study context | Clinical One source metrics | Data Hub metrics | Synchronization status | Reference and system identifiers

Study context

Study-level metadata associated with the metrics row.

Column Name Data Type Description
STUDY_TITLEVARCHAR2(64 CHAR)

The STUDY_TITLE data element reflects the title of a protocol as defined by the study manager each time a new study version is created and renamed in the Study Mode section. For example, if the original study version is named P01_A23 in Active mode, that name appears as the STUDY_TITLE. If the study manager later creates a new version of the study and renames it to P01_A23_Production2, this new name will be displayed as the STUDY_TITLE for that version when used in Active mode.

When you include multiple study versions in your dataset, and each has a different title, the STUDY_TITLE element will reflect the specific title assigned to each version. For example, your dataset might include study versions 1.0.2, 1.0.3, and 1.0.4. If the study manager renamed each version, you would see those unique titles in the dataset:

  • P_01_A23 (for study version 1.0.2)
  • P01_A23_Production2 (for study version 1.0.3)
  • P01_A23_Production3 (for study version 1.0.4)
STUDY_REFNAMEVARCHAR2(64 CHAR)Indicates the study's reference name used by the system. This value is composed by STUDY_ID_NAME converted to uppercase with blank spaces removed. Once created, this value never changes, even if STUDY_ID_NAME is changed.
STUDY_DESCRIPTIONVARCHAR2(4000 CHAR)Study description associated with the current study version used by the metrics row.
STUDY_PHASEVARCHAR2(64 CHAR)A study's phase as indicated by the study manager when they created the study. Possible values include I, I/II, II, II/III, III, IV, or Other.
BLINDING_TYPEVARCHAR2(64 CHAR)Indicates whether the study is an open-label type of study or a blinded study, as specified by the study manager when they created the study. Possible values include OpenLabel, Blinded, OpenLabelBlinded, or Observational.
THERAPEUTIC_AREAVARCHAR2(64 CHAR)Indicates the therapeutic area as specified by the study manager when they created the study. Possible values include CardiologyVascularDiseases, DentalOralHealth, Dermatology, Endocrinology, FamilyMedicine, Gastroenterology, GeneticDisease, HealthyVolunteers, Hematology, Hepatology, Immunology, InfectionsInfectiousDisease, Musculoskeletal, Nephrology, Neurology, NutritionWeightLoss, ObstetricsGynecology, Oncology, Ophthalmology, Otolaryngology, PediatricsNeonatology, PlasticSurgery, PharmacologyToxicology, Podiatry, PsychiatryPsychology, PulmonaryRespiratoryDiseases, Rheumatology, Sleep, Trauma, Urology, or Vaccines.

Parent topic: Section index


Clinical One source metrics

Row counts and maximum version timestamps from the source Clinical One tables.

Column Name Data Type Description
C1_INVENTORIES_ROWCNTNUMBER(10)Row counts of the inventories table from the core Clinical One system.
C1_INVENTORIES_MAX_VER_STARTTIMESTAMP(6)Maximum version of the inventories table from the core Clinical One system.
C1_SUBJECT_FORMITEMS_ROWCNTNUMBER(10)Row counts of the subject form items table from the core Clinical One system.
C1_SUB_FORMITEMS_MAX_VER_STARTTIMESTAMP(6)Maximum version of the subject form items table from the core Clinical One system.
C1_STUDY_VERSIONS_HIST_ROWCNTNUMBER(10)Row counts of the study versions history table from the core Clinical One system.
C1_STDY_VER_HIST_MAX_VER_STARTTIMESTAMP(6)Maximum version of the study versions history table from the core Clinical One system.
C1_SUBJ_QUERIES_ROWCNTNUMBER(10)Row counts of the queries table from the core Clinical One system.
C1_SUBJ_QUERIES_MAX_VER_STARTTIMESTAMP(6)Maximum version of the queries table from the core Clinical One system.

Parent topic: Section index


Data Hub metrics

Row counts and maximum version timestamps from the Oracle Clinical One Analytics data model.

Column Name Data Type Description
DH_INVENTORIES_ROWCNTNUMBER(10)Row counts of the inventories table from the data model in the Oracle Clinical One Analytics system.
DH_INVENTORIES_MAX_VER_STARTTIMESTAMP(6)Maximum version of the inventories table from the data model in the Oracle Clinical One Analytics system.
DH_SUBJECT_FORMITEMS_ROWCNTNUMBER(10)Row counts of the subject form items table from the data model in the Oracle Clinical One Analytics system.
DH_SUB_FORMITEMS_MAX_VER_STARTTIMESTAMP(6)Maximum version of the subject form items table from the data model in the Oracle Clinical One Analytics system.
DH_STUDY_VERSIONS_HIST_ROWCNTNUMBER(10)Row counts of the study versions history table from the data model in the Oracle Clinical One Analytics system.
DH_STDY_VER_HIST_MAX_VER_STARTTIMESTAMP(6)Maximum version of the study versions history table from the data model in the Oracle Clinical One Analytics system.
DH_SUBJ_QUERIES_ROWCNTNUMBER(10)Row counts of the queries table from the data model in the Oracle Clinical One Analytics system.
DH_SUBJ_QUERIES_MAX_VER_STARTTIMESTAMP(6)Maximum version of the queries table from the data model in the Oracle Clinical One Analytics system.

Parent topic: Section index


Synchronization status

Refresh timestamps and consistency status for the study and mode.

Column Name Data Type Description
LAST_ETL_RUN_TIMESTAMPTIMESTAMP(6)Last time that the instance of Oracle Clinical One Analytics was processed for Analytics. Data processing always occurs after data retrieval.
HEARTBEAT_CONSOLIDATION_TSTIMESTAMP(6)Last time that the identified study and mode sent data that was retrieved for Oracle Clinical One Analytics.
IS_DATA_CONSISTENTVARCHAR2(10 CHAR)Yes or No label for consistency check. Indicates whether the study's data is consistent by comparing row counts and maximum version history from core Clinical One Cloud Service and the Oracle Clinical One Analytics data model.

Parent topic: Section index


Reference and system identifiers

System identifiers used to associate the metrics row with the study.

Column Name Data Type Description
STUDY_IDRAW(16 BYTE)Indicates the ID of the study as in the system.
STUDY_WIDNUMBER(10)Numeric warehouse identifier for the study.

Parent topic: Section index


Body ()
Root Schema : DataHubSingleReportDto
Type: object
Single report result of the dynamic query execution
Show Source
Nested Schema : columns
Type: array
Names of the columns included in each row
Show Source
  • Names of the columns included in each row
    Example: ["STUDY_TITLE","STUDY_REFNAME","STUDY_ID"]
Example:
[
    "STUDY_TITLE",
    "STUDY_REFNAME",
    "STUDY_ID"
]
Nested Schema : data
Type: array
Row data aligned with the columns list
Show Source
  • Row data aligned with the columns list
    Example: ["My study","MY_STUDY","E8230E450E844721A67F8EBFF71B160D"]
Example:
[
    "My study",
    "MY_STUDY",
    "E8230E450E844721A67F8EBFF71B160D"
]
Examples

400 Response

Returned when the request is invalid.

  • Causes include invalid tenantId or studyId path parameter values, or a validation error while resolving the Metrics dataset row.
  • Error payload format: {"status":"failed","result":null,"errorData":{"errorCode":"...","errorMessage":"...","details":{...}},"version":1}.
Body ()
Root Schema : DataHubResponse
Type: object

Standard Data Hub response envelope.

Successful responses return status as "success" and populate result. Failed responses return status as "failed" and populate errorData.

Show Source
Nested Schema : errorData
Type: object

Machine-readable error payload when status is "failed".

This field is null when status is "success".

Example:
{
    "errorCode":"VALIDATION_ERROR",
    "errorMessage":"Invalid column name specified in the select columns: SITE_ID1",
    "details":{
        "field":"selectColumns"
    }
}
Nested Schema : result
Type: object

Payload returned by the API when status is "success".

This field is null when status is "failed".

Example:
{
    "message":"Operation succeeded"
}
Examples

401 Response

Returned when the request cannot be authenticated.

The response body is empty.

403 Response

Returned when the request is authenticated but the caller is not authorized to access the requested resource.

The response body contains a plain-text authorization message.

Possible response bodies:

  • Either the resource does not exist, or the user cannot access the resource.
  • The entity is in maintenance mode, or the user cannot access the resource.
Body ()
Root Schema : schema
Type: string

500 Response

Returned when an unexpected server-side error occurs while processing the request.

The response body contains the platform error payload with the error code and description.

Body ()
Root Schema : Status
Type: object
Show Source
Examples

Back to Top